All right guys, here is what happened, i had a 1.0.2 unlock phone with summerboard and a couple other app
today i virginized my phone and when on and did the 1.1.1 update great works fine, its unlocked however every time i go into my installer its looks like the older version but when i tried to uninstall it, it shows the newer version (the one that came out not too long ago, 3.0b7) and when i tried to reinstall it it says Error No Location defined in package! arg!!!
okok and i also have tried to install other app, like summerboard the new one says that i need 1.1.1 i AM on 1.1.1 now it says pakage file size mismatch! arrggggg
please could someone tells me how to fix this!!!


THANKS A LOT